#
# Conditional build:
%bcond_with	tests	# test target [fails, some files are missing]

Summary:	Python interface to OpenSSL
Summary(pl.UTF-8):	Interfejs Pythona do OpenSSL
Name:		python-M2Crypto
Version:	0.27.0
Release:	1
License:	BSD-like
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/m2crypto/
Source0:	https://pypi.python.org/packages/01/bd/a41491718f9e2bebab015c42b5be7071c6695acfa301e3fc0480bfd6a15b/M2Crypto-%{version}.tar.gz
# Source0-md5:	4477bd6b2835560c73982476dba5e515
Patch0:		%{name}-store2ssl.patch
Patch1:		%{name}-swig.patch
URL:		https://gitlab.com/m2crypto/m2crypto
BuildRequires:	openssl-devel >= 1.0.1e
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
%if "%{py_ver}" < "2.7"
BuildRequires:	python-unittest2
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	swig-python >= 2.0
BuildRequires:	unzip
%pyrequires_eq	python-libs
Requires:	openssl >= 1.0.1e
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
M2Crypto makes accessible to the Python programmer the following:
- DH, RSA, DSA, symmetric ciphers, message digests, HMACs.
- SSL functionality to implement clients and servers.
- S/MIME v2.

M2Crypto is released under a very liberal BSD-like licence. See
LICENCE for details.

%description -l pl.UTF-8
M2Crypto udostępnia z poziomu Pythona następujące funkcje:
- DH, RSA, DSA, szyfry symetryczne, skróty, HMAC
- SSL do implementacji klientów i serwerów
- S/MIME v2.

M2Crypto jest wydane na bardzo liberalnej licencji BSD - szczegóły w
pliku LICENCE.

%prep
%setup -q -n M2Crypto-%{version}
%patch0 -p1
%patch1 -p1

%build
%py_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENCE README.rst
%dir %{py_sitedir}/M2Crypto
%attr(755,root,root) %{py_sitedir}/M2Crypto/_m2crypto.so
%{py_sitedir}/M2Crypto/*.py[co]
%dir %{py_sitedir}/M2Crypto/PGP
%{py_sitedir}/M2Crypto/PGP/*.py[co]
%dir %{py_sitedir}/M2Crypto/SSL
%{py_sitedir}/M2Crypto/SSL/*.py[co]
%{py_sitedir}/M2Crypto-*.egg-info
%changelog
* Sun Oct 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-M2Crypto.git;a=log;h=master

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> cb38e23
- up to 0.27.0

* Sat Mar 26 2016 Jakub Bogusz <qboosh@pld-linux.org> c2789b2
- updated to 0.24.0

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> b3683a1
- openssl 1.0.2g rebuild
- release 2 (by relup.sh)

* Wed Jan 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 085d730
- up to 0.22.5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> cf5fa81
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c4d91c5
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 35ec8f2
- automatic change: use py_build/py_install macros

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> cabacf0
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> c8750ee
- updated to 0.22.3
- removed obsolete swig_sources patch

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 596e80b
- updated to 0.21.1
- removed obsolete openssl patch

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 044a2e6
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 44aff57
- BR: python-modules, rpm-pythonprov

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e33a60
- rel 3; fix openssl 1.0.0 build

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9af9f6a
- release 2

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 2bac54a
- 0.20.2

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> cbbf160
- release 2

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bb001c
- up to 0.19.1

* Mon Oct 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e03c4ab
- up to 0.19

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f42d05
- release 2

* Mon Jun 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 88d597f
- outdated

